Skip to content

Get 'Segment'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/segments/segment/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/segments/segment/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

namestring, <= 255 charactersrequired
realestatesArray of objects(RealEstate)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
apartment_categoriesArray of any or null
industrial_premises_categoriesArray of any or null
parking_spot_categoriesArray of any or null
brf_apartment_categoriesArray of any or null
common_area_categoriesArray of any or null
outdoor_section_categoriesArray of any or null
tagsanyread-only
customer_columnsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "apartment_categories": [ null ], "industrial_premises_categories": [ null ], "parking_spot_categories": [ null ], "brf_apartment_categories": [ null ], "common_area_categories": [ null ], "outdoor_section_categories": [ null ], "realestates": [ { … } ], "tags": null, "customer_columns": null }